classification
Title: Remove redundant __ne__ implementations
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: gvanrossum, martin.panter, python-dev, rhettinger, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2015-01-26 21:34 by serhiy.storchaka, last changed 2015-03-30 19:32 by gvanrossum. This issue is now closed.

Files
File name Uploaded Description Edit
remove___ne__.patch serhiy.storchaka, 2015-01-26 21:34 review
Messages (10)
msg234779 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-01-26 21:34
As far as default __ne__ implementation delegates to __eq__, concrete __ne__ implementations are mostly redundant. They make sens when default __ne__ did not handle non-comparable types correctly, but now it is fixed. Proposed patch removes correct but redundant __ne__ implementations (incorrect implementations were removed in issue21408).
msg235088 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-01-31 08:15
I looked at all the instances of __ne__() identified in the patch, and they all seem redundant with the __eq__() implementations, so I think this patch is good.
msg235100 - (view) Author: Roundup Robot (python-dev) Date: 2015-01-31 10:24
New changeset 3603bae63c13 by Serhiy Storchaka in branch 'default':
Issue #23326: Removed __ne__ implementations.  Since fixing default __ne__
https://hg.python.org/cpython/rev/3603bae63c13
msg235118 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-01-31 16:34
Thanks Martin and Georg for your reviews.
msg235121 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2015-01-31 17:23
Nice work.
msg239620 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2015-03-30 16:20
I'm a little surprised you didn't get pushback from asyncio (i.e. Victor). We try to keep the source identical across releases while asyncio is in provisional mode (i.e. until 3.5 is released).
msg239626 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-03-30 17:38
Should I restore __ne__ in asyncio? The version without __ne__ will work with Python 3.4.3 because issue21408 patch was committed in 3.4 too. Explicit __ne__ implementation is just redundant.
msg239629 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2015-03-30 17:45
Yeah, I'd like to see it restored in asyncio. It seems to be just one file
that's currently out of sync with the tulip "upstream" repo.

On Mon, Mar 30, 2015 at 10:38 AM, Serhiy Storchaka <report@bugs.python.org>
wrote:

>
> Serhiy Storchaka added the comment:
>
> Should I restore __ne__ in asyncio? The version without __ne__ will work
> with Python 3.4.3 because issue21408 patch was committed in 3.4 too.
> Explicit __ne__ implementation is just redundant.
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue23326>
> _______________________________________
>
msg239633 - (view) Author: Roundup Robot (python-dev) Date: 2015-03-30 19:26
New changeset e881444f078f by Serhiy Storchaka in branch 'default':
Partially revert 3603bae63c13 (issue23326) for asyncio.
https://hg.python.org/cpython/rev/e881444f078f
msg239635 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2015-03-30 19:32
Thanks!

On Mon, Mar 30, 2015 at 12:26 PM, Roundup Robot <report@bugs.python.org>
wrote:

>
> Roundup Robot added the comment:
>
> New changeset e881444f078f by Serhiy Storchaka in branch 'default':
> Partially revert 3603bae63c13 (issue23326) for asyncio.
> https://hg.python.org/cpython/rev/e881444f078f
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue23326>
> _______________________________________
>
History
Date User Action Args
2015-03-30 19:32:29gvanrossumsetmessages: + msg239635
2015-03-30 19:26:04python-devsetmessages: + msg239633
2015-03-30 17:45:22gvanrossumsetmessages: + msg239629
2015-03-30 17:38:37serhiy.storchakasetmessages: + msg239626
2015-03-30 16:20:18gvanrossumsetnosy: + gvanrossum, vstinner
messages: + msg239620
2015-01-31 17:23:09rhettingersetnosy: + rhettinger
messages: + msg235121
2015-01-31 16:34:40serhiy.storchakasetstatus: open -> closed
messages: + msg235118

assignee: serhiy.storchaka
resolution: fixed
stage: patch review -> resolved
2015-01-31 10:24:05python-devsetnosy: + python-dev
messages: + msg235100
2015-01-31 08:15:38martin.pantersetmessages: + msg235088
2015-01-26 21:34:39serhiy.storchakacreate